From 3c0c32077bb9626d4ebad1452b9fc9937c99518d Mon Sep 17 00:00:00 2001
From: Tristan Partin <tristan@neon.tech>
Date: Mon, 22 May 2023 10:07:45 -0500
Subject: [PATCH postgres v1] Add some missing includes

Both files were missing defines/types from c.h. Issue found through
usage of clangd.
---
 src/bin/psql/settings.h       | 1 +
 src/include/fe_utils/cancel.h | 1 +
 2 files changed, 2 insertions(+)

diff --git a/src/bin/psql/settings.h b/src/bin/psql/settings.h
index 73d4b393bc..f429ca6ad9 100644
--- a/src/bin/psql/settings.h
+++ b/src/bin/psql/settings.h
@@ -8,6 +8,7 @@
 #ifndef SETTINGS_H
 #define SETTINGS_H
 
+#include "c.h"
 #include "fe_utils/print.h"
 #include "variables.h"
 
diff --git a/src/include/fe_utils/cancel.h b/src/include/fe_utils/cancel.h
index 6e8b9ddfc4..733aaf7751 100644
--- a/src/include/fe_utils/cancel.h
+++ b/src/include/fe_utils/cancel.h
@@ -16,6 +16,7 @@
 
 #include <signal.h>
 
+#include "c.h"
 #include "libpq-fe.h"
 
 extern PGDLLIMPORT volatile sig_atomic_t CancelRequested;
-- 
-- 
Tristan Partin
Neon (https://neon.tech)

